Name:           python3-jschon
Version:        0.11.1
Release:        1%{?dist}
Summary:        An object-oriented JSON Schema implementation for Python

License:        MIT
URL:            https://jschon.readthedocs.io/en/latest/
Source:         %{pypi_source jschon}

BuildArch:      noarch
BuildRequires:  python3-devel

%description
A JSON toolkit for Python developers.

%prep
%autosetup -n jschon-%{version}

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files jschon

%check
%tox

%files -f %{pyproject_files}
%license LICENSE
%doc README.rst

%changelog
* Sat Jul 13 2024 Antoine Damhet <antoine.damhet@gmail.com> - 0.11.1-1
- Initial package version
